# Akamai\Open\EdgeGrid\Client::setDebugHandler

#### Add the Debug handler to the HandlerStack

## Signature

`protected function setDebugHandler(array $options, [bool|resource|null $fp = null] )`

## Parameters

`$options` — array
  Guzzle Options
`$fp` — object
  Stream to write to

## Returns

array

## Test Coverage

### Information

- Coverage: 12/16 Lines (75%)
- Tests: 13
- Passed: 13 (100%)

### Tests

- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testStaticDebugSingle
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testInstanceDebugSingle
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testInstanceDebugOptionSingle
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\DebugTest::testInstanceDebug
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\DebugTest::testStaticDebug
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\DebugTest::testInstanceOverrideStream
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\DebugTest::testDebugMessages
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\DebugTest::testResponseNoDetail
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\DebugTest::testResponseNoBody
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\DebugTest::testResponseNoJsonBody
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\DebugTest::testDebugResponseExceptionNoCode
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\DebugTest::testVerboseResponseExceptionWithCode
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\DebugTest::testVerboseResponseExceptionWithBody